using System;
using System.Xml.Serialization;
using System.Collections.Generic;
using Top.Api.Util;

namespace Top.Api.Request
{
    /// <summary>
    /// TOP API: taobao.tbk.thor.mfrs.promotion.query
    /// </summary>
    public class TbkThorMfrsPromotionQueryRequest : BaseTopRequest<Top.Api.Response.TbkThorMfrsPromotionQueryResponse>
    {
        /// <summary>
        /// 查询请求对象
        /// </summary>
        public string Option { get; set; }

        public ManufacturerLaunchOptionDomain Option_ { set { this.Option = TopUtils.ObjectToJson(value); } } 

        #region ITopRequest Members

        public override string GetApiName()
        {
            return "taobao.tbk.thor.mfrs.promotion.query";
        }

        public override IDictionary<string, string> GetParameters()
        {
            TopDictionary parameters = new TopDictionary();
            parameters.Add("option", this.Option);
            if (this.otherParams != null)
            {
                parameters.AddAll(this.otherParams);
            }
            return parameters;
        }

        public override void Validate()
        {
        }

	/// <summary>
/// ManufacturerLaunchOptionDomain Data Structure.
/// </summary>
[Serializable]

public class ManufacturerLaunchOptionDomain : TopObject
{
	        /// <summary>
	        /// 如手淘、京东、抖音、快手
	        /// </summary>
	        [XmlElement("from")]
	        public string From { get; set; }
	
	        /// <summary>
	        /// 图片按照短边不超过320的方式等比例缩放，转字节流时按jpg格式，压缩率80进行转换
	        /// </summary>
	        [XmlElement("img")]
	        public string Img { get; set; }
	
	        /// <summary>
	        /// 媒体pid
	        /// </summary>
	        [XmlElement("pid")]
	        public string Pid { get; set; }
	
	        /// <summary>
	        /// 价格
	        /// </summary>
	        [XmlElement("price")]
	        public string Price { get; set; }
	
	        /// <summary>
	        /// 场景类型
	        /// </summary>
	        [XmlElement("scene_code")]
	        public string SceneCode { get; set; }
	
	        /// <summary>
	        /// 子场景码：Hivision（拍照识图）、Hitoch（双指按压）
	        /// </summary>
	        [XmlElement("scene_sub_code")]
	        public string SceneSubCode { get; set; }
	
	        /// <summary>
	        /// sku名
	        /// </summary>
	        [XmlElement("sku")]
	        public string Sku { get; set; }
	
	        /// <summary>
	        /// 商品副标题
	        /// </summary>
	        [XmlElement("sub_title")]
	        public string SubTitle { get; set; }
	
	        /// <summary>
	        /// 淘口令
	        /// </summary>
	        [XmlElement("tbpwd")]
	        public string Tbpwd { get; set; }
	
	        /// <summary>
	        /// 商品标题
	        /// </summary>
	        [XmlElement("title")]
	        public string Title { get; set; }
	
	        /// <summary>
	        /// 唯一标识
	        /// </summary>
	        [XmlElement("unique_id")]
	        public string UniqueId { get; set; }
	
	        /// <summary>
	        /// OAID/手机号/imei
	        /// </summary>
	        [XmlElement("unique_id_type")]
	        public string UniqueIdType { get; set; }
	
	        /// <summary>
	        /// 商品链接
	        /// </summary>
	        [XmlElement("url")]
	        public string Url { get; set; }
	
	        /// <summary>
	        /// 扩展字段
	        /// </summary>
	        [XmlElement("variable_map")]
	        public string VariableMap { get; set; }
}

        #endregion
    }
}
